<div class="content_title"><a href="/master/domains">Domeny</a> > pozycje w google</div>
<div>
    <div style="float:left;"><?php $this->load->view('admin/switch_domain');?></div>
    <?php $domain_id = (int)$this->uri->segment(3); ?>
    <div style="float:right;">
        <a title="pozycje w google" href="/master/domain_positions/<?php echo $domain_id; ?>" class="gray_link">
            <img alt="pozycje w google" src="/files/opcja1.gif">
        </a>&nbsp;
        <a title="wykresy pozycji w google" href="/master/domain_positions_charts/<?php echo $domain_id; ?>" class="gray_link">
            <img alt="wykresy pozycji w google" src="/files/opcja2.gif">
        </a>
        <a title="statystyki odsłon strony" href="/master/domain_visits_charts/<?php echo $domain_id; ?>" class="gray_link">
            <img alt="statystyki odsłon strony" src="/files/opcja3.gif">
        </a>
        <a title="szczegółowe statystyki odsłon strony" href="/master/domain_visits/<?php echo $domain_id; ?>" class="gray_link">
            <img alt="szczegółowe statystyki odsłon strony" src="/files/opcja4.gif">
        </a>
    </div>
</div>
<br class="clear"/>
<table id="hor-minimalist-b" width="100%">
    <thead>
    	<tr>
        	<th scope="col">Keyword</th>
            <th scope="col">Aktualna pozycja w google</th>
            <th scope="col">Średnia z tygodnia</th>
        </tr>
    </thead>
    <tbody>

	<?php 
	//print_r($keywords);
	//print_r($pozycja);
    

		foreach($keywords as $keyword)	
		{
            $google_query_string = 'search?q='.str_replace(' ','+',$keyword['keyword']).'&num=10';
			if($pozycja!=null)
			{	
				foreach($pozycja as $pos)
				{
					if($keyword['id']==$pos['keyword_id'])
					{
						$poz_ok =  $pos['position'];
						break;
					}
					else
					{
						$poz_ok =  'brak danych';
					}
				}
			}else $poz_ok =  'brak danych';
				
				echo '<tr>';
				echo '<td><a href="http://google.'.$google_region.'/'.$google_query_string.'" target="_blank">'.$keyword['keyword'].'</td><td>'.$poz_ok.'</td><td>';
				
				//if($poz_ok != 'brak danych')
				
				$positions = $this->baza->get_keyword_position_average($keyword['id'],$keyword['domain_id']);
							
				$srednia = 0;
				$i=0;
				
				foreach($positions as $position)
				{
					$srednia += $position['position'];
					$i++;
				}
				
				if($i==0)
					{
						echo 'brak danych';
					}
				else
					{
						echo round($srednia/$i);
					}
			
				echo '</td>';
				echo '</tr>';
		}
	?>
	</tbody>
</table>
<br style="clear:both"/>
<div class="formHr">&nbsp;</div>
<div class="form_buttons_v1">
    <input type="button" name="wstecz" value="Wstecz" class="formButton" onClick="document.location.href='<?php echo base_url();?>master/domains';"/>
</div>